"use server";

import ContactComponent from "./ContactComponent";

export default async function ContactPage() {
  const recaptchaSiteKey = process.env.RECAPTCHA_SITE_KEY;
  if (!recaptchaSiteKey) {
    console.error("ReCAPTCHA site key is not set");
    throw new Error("ReCAPTCHA not correctly configured");
  }
  return <ContactComponent recaptchaSiteKey={recaptchaSiteKey} />;
}
